summaryrefslogtreecommitdiffstats
path: root/jjb/xci
diff options
context:
space:
mode:
authorFatih Degirmenci <fdegir@gmail.com>2018-03-08 09:51:42 +0100
committerFatih Degirmenci <fdegir@gmail.com>2018-03-08 09:55:06 +0100
commit8326e9f5c2ee90be781a9f44c18d1aeae0ce6ac9 (patch)
tree59a7f8ead0ff366f54ad50a6f7b6bd39252bc81f /jjb/xci
parent84e4b164e8a513f17f52e463120ae8a8d2ac2053 (diff)
xci: Set options in run-functest.sh
Functest healthcheck job actually fails but due to not setting options properly in run-functest.sh, we failed to notice this. Please note that this patch will enable changes to be blocked since creation of external network and associated subnet fail, due to an upstream issue. This causes functest healthcheck to fail which in turn results in Verified-1 on Gerrit. Change-Id: I32eeb422895930d039d3289ffb65e10763db9c4b Signed-off-by: Fatih Degirmenci <fdegir@gmail.com>
Diffstat (limited to 'jjb/xci')
-rwxr-xr-xjjb/xci/xci-run-functest.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/jjb/xci/xci-run-functest.sh b/jjb/xci/xci-run-functest.sh
index 9bcc469c7..d57a6259c 100755
--- a/jjb/xci/xci-run-functest.sh
+++ b/jjb/xci/xci-run-functest.sh
@@ -7,6 +7,9 @@
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
+set -o errexit
+set -o nounset
+set -o pipefail
#----------------------------------------------------------------------
# This script is used by CI and executed by Jenkins jobs.